%define version 2.1
%define release 0.%pre.5mdk
%define pre pre18

Summary:	Lynx-like text WWW browser
Name:		links
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW

Source0:	http://atrey.karlin.mff.cuni.cz/~clock/twibright/links/download/%name-%version%pre.tar.bz2
Source4:	links.cfg
Patch1:		links-2.1pre18-no-flashy-white.patch.bz2
Patch3:		links-0.96-no-weird-unhx-ing-of-command-line-args.patch.bz2
Patch6:		cookies-save-0.96.patch.bz2
Patch7:		links-0.96-no-domain-security.patch.bz2
Patch8:		links-current-color-by-default--and-vt100-frames.patch.bz2
Patch10:	links-2.0pre1-be-graphic-when-called-_links-graphic_.patch.bz2
Patch11:	links-2.0pre1-convert-old-bookmarks-in-new-format.patch.bz2
Patch12:	links-2.1pre17-gz.patch.bz2
Patch14:	links-2.1pre17-automake.patch.bz2
Patch21:	links-2.1pre17-fix-segfault-on-loading-cookies.patch.bz2
Patch22:	links-2.1pre2-64bit-fixes.patch.bz2

URL:		http://atrey.karlin.mff.cuni.cz/~clock/twibright/links/
BuildRequires:	XFree86-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	ncurses-devel => 5.0
BuildRequires:	openssl-devel
BuildRequires:	directfb-devel >= 0.9.17
BuildRequires:	automake1.9
Provides:	webclient
Requires:	links-common = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package graphic
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Obsoletes:	links < %{version}-%{release}
Provides:	webclient, links = %{version}-%{release}
Requires:	indexhtml

%description graphic
Links is a text/X11 based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package common
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Conflicts:	links < 2.1-0.pre18.5mdk, links-graphic < 2.1-0.pre18.5mdk

%description common
Common files for links and links-graphic

%prep
%setup  -q -n %name-%version%pre
%patch1 -p1
%patch3 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1 -b .gzip
%patch14 -p1 -b .automake18
%patch21 -p1 -b .pix
%patch22 -p1 -b .64bit-fixes

#rm -f missing
#ln -s /usr/share/automake-1.4/missing missing

FORCE_AUTOCONF_2_5=1 ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf --force --install

%build
%configure2_5x --enable-javascript
(cd Unicode ; LC_ALL=C ./gen )
%make

cp -f links links-text

# Needed to fix linkage problem
#rm -f bfu.o dip.o lru.o x.o framebuffer.o terminal.o kbd.o links_icon.o
make clean
%configure2_5x --enable-graphics --enable-javascript
%make

cp -f links links-graphic

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f %buildroot%{_bindir}/links
install links-graphic links-text %buildroot%{_bindir}

install -D -m 644 %SOURCE4 %buildroot/etc/links.cfg

install -d %buildroot/%_menudir/
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}-graphic
?package(%{name}-graphic):  \
  command="/usr/bin/links-graphic /usr/share/doc/HTML/index.html" \
  needs="X11" \
  icon="web_browser_section.png" \
  section="Internet/Web Browsers" \
  title="Links" \
  longtitle="Lynx-like text/graphic Web browser"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%triggerpostun graphic -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/links-text 10

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-text
fi

%post graphic
%{update_menus}

update-alternatives --install /usr/bin/links links /usr/bin/links-graphic 20

%postun graphic
%{clean_menus}

if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-graphic
fi

%files 
%defattr(-,root,root)
%{_bindir}/links-text

%files graphic
%defattr(-,root,root)
%{_bindir}/links-graphic
%{_menudir}/%{name}-graphic

%files common
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README SITES TODO 
%config(noreplace) /etc/links.cfg
%{_mandir}/*/*


%changelog
* Fri Aug 26 2005 Pixel <pixel@mandriva.com> 2.1-0.pre18.5mdk
- reverting previous changes, introduce links-common instead
- move the conflicts on links to links-common

* Mon Aug 22 2005 Pixel <pixel@mandriva.com> 2.1-0.pre18.4mdk
- links-graphic now depends on links 
  => no way to have links-graphic without links-text
  => this fixes upgrade conflicts and is cleaner
  (the other solution would be to create a links-common for links.cfg and the manpage)

* Thu Aug 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1-0.pre18.3mdk
- add BuildRequires: automake1.9

* Tue Aug 09 2005 Abel Cheung <deaddog@mandriva.org> 2.1-0.pre18.2mdk
- Reenable Patch1 (changes link color from bright white to other color),
  which I accidentally disabled

* Mon Aug 08 2005 Abel Cheung <deaddog@mandriva.org> 2.1-0.pre18.1mdk
- 2.1pre18
- Build with directfb support
- Rediff patch12, 21
- Patch14: Newer automake can't accept conditional macros definition

* Mon Mar 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1-0.pre15.2mdk
- add BuildRequires: automake1.4

* Tue Dec 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.1-0.pre15.1mdk
- new release
- fix URL
- Adapt patch #8 to new code

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.pre13.3mdk
- Fix menu

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 2.1-0.pre13.2mdk
- Fix menu

* Tue Nov  4 2003 Pixel <pixel@mandrakesoft.com> 2.1-0.pre13.1mdk
- new release

* Sun Sep 21 2003 Pixel <pixel@mandrakesoft.com> 2.1-0.pre12.1mdk
- new release

* Tue Jun 10 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1-0.pre11.1mdk
- new release
- BuildRequires

* Wed May 21 2003 Pixel <pixel@mandrakesoft.com> 2.1-0.pre10.1mdk
- new release

* Mon Mar 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1-0.pre8.2mdk
- Patch22: 64-bit fixes

* Tue Feb 25 2003 Pixel <pixel@mandrakesoft.com> 2.1-0.pre8.1mdk
- new release

* Tue Jan 21 2003 Pixel <pixel@mandrakesoft.com> 2.1-0.pre7.4mdk
- rebuild for new openssl
- add BuildRequires openssl-devel

* Wed Dec 11 2002 Pixel <pixel@mandrakesoft.com> 2.1-0.pre7.3mdk
- fix segfault on loading cookies (needed after using links-hacked)

* Mon Nov 11 2002 Pixel <pixel@mandrakesoft.com> 2.1-0.pre7.1mdk
- new release

* Mon Nov  4 2002 Pixel <pixel@mandrakesoft.com> 2.1-0.pre6.1mdk
- new release

* Thu Oct 17 2002 Pixel <pixel@mandrakesoft.com> 2.1-0.pre4.2mdk
- put back 2.1.0 pre3 due to bugs with "links -g"

* Wed Oct 16 2002 Pixel <pixel@mandrakesoft.com> 2.1-0.pre4.1mdk
- new release

* Tue Oct  8 2002 Pixel <pixel@mandrakesoft.com> 2.1-0.pre3.1mdk
- new release

* Mon Aug 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-0.pre2.2mdk
- buildrequires: libpng-devel, libjpeg-devel (Stephane Lentz)

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-0.pre2.1mdk
- new release (pre2)
- remove patch 9 (merged upstream)
- fix linkage bug [Patch 20]

* Tue Jun 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-1mdk
- fix pixel's brain dramage: don't repeat version number everywhere so that
  we forgot some of them on update
- final release
- add gzip2 support

* Mon Jun 10 2002 Pixel <pixel@mandrakesoft.com> 2.0-0.pre6.3mdk
- titi's brain being what it is... removing the unneeded -g

* Mon Jun 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre6.2mdk
- uses links -g in menu entry ...

* Mon Jun 03 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre6.1mdk
- new release:
	- updated hu translation
	- fix segfault on big 16 bits png images

* Tue May 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre4.1mdk
- new release
- remove patch12 (merged upstream)

* Mon May 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre3.2mdk
- remove polnish debugging messages [Patch12]

* Fri May 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre3.1mdk
- new release

* Thu May 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre2.1mdk
- new release

* Wed May 22 2002 Pixel <pixel@mandrakesoft.com> 2.0-0.pre1.1mdk
- new release (mainly bug bugfixing on)
- new package links-graphic containing the X version
  (split to keep a version of links not requiring X, and the binary is smaller)
- convert-old-bookmarks-to-new-format

* Thu May 16 2002 Pixel <pixel@mandrakesoft.com> 20020516-1mdk
- links-current version with graphic and javascript support
  (my bank account works :)
- dropped chmouel patch for binding 'S'

* Sun May 12 2002 Pixel <pixel@mandrakesoft.com> 0.97-2mdk
- have "color by default" back

* Fri May 10 2002 Pixel <pixel@mandrakesoft.com> 0.97-1mdk
- new release

* Tue Apr  2 2002 Pixel <pixel@mandrakesoft.com> 0.97-0.pre8.1mdk
- new release

* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.97-0.pre3.4mdk
- update translation, bug fixes

* Sun Mar  3 2002 Pixel <pixel@mandrakesoft.com> 0.97-0.pre1.4mdk
- links.cfg doesn't need to be executable (fix #5961)

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 0.97-0.pre1.3mdk
- create /etc/links.cfg with default associations ("display" for images, "gv" for ps&pdf)

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.97-0.pre1.2mdk
- xpm -> png icons

* Tue Jan 29 2002 Pixel <pixel@mandrakesoft.com> 0.97-0.pre1.1mdk
- 0.97pre1

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 0.96-6mdk
- bzip patches

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 0.96-5mdk
- cookies patches
- fix cookie (from Len <lenbok at mailandnews dot com>)

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 0.96-4mdk
- Use new icons & add missing icons (mini and large)

* Mon Jul 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-3mdk
- fix description (renders frames too [for a long time])

* Mon Jul 23 2001 Pixel <pixel@mandrakesoft.com> 0.96-2mdk
- fix command-line args bad encoding

* Tue Jul 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-1mdk
- final release

* Mon Jun 25 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-0.pre8.1mdk
- new release

* Tue Jun 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-0.pre7.1mdk
- new version

* Tue Jun 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.96-0.pre4.2mdk
- Make S key save the current document (and not need to do esc down
  down down enter for this common option).

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-0.pre4.1mdk
- new pre-version

* Sat Jun  9 2001 Pixel <pixel@mandrakesoft.com> 0.96-0.pre2.1mdk
- new pre version

* Tue Mar 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-3mdk
- fix buildroot
- readd  the menu entry i added and pixel deleted

* Wed Feb 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.95-2mdk
- added several new charsets (so now it can browse pages in any
  of the mdk supported charsets)

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.95-1mdk
- new version

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.94-1mdk
- new version

* Wed Dec 13 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.9mdk.pre9
- new version

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.8mdk.pre8
- new version

* Sun Dec  3 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.7mdk.pre7
- new version
- remove the menu until icons are provided

* Thu Nov 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-0.6mdk.pre5
- add menu

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.94-0.5mdk.pre5
- make Q as fast quit without confirmation like lynx.

* Sun Nov 19 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.4mdk.pre5
- new release

* Thu Nov  9 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.3mdk.pre4
- new release

* Tue Oct 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-0.1mdk.pre1
- new release
- minor spec cleaning

* Tue Oct 17 2000 Pixel <pixel@mandrakesoft.com> 0.93-0.2mdk.pre4
- new release

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93-0.1mdk
- new release

* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 0.92-8mdk
- fix mispelling

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 0.92-6mdk
- add-M-key-to the README

* Wed Aug  9 2000 Pixel <pixel@mandrakesoft.com> 0.92-5mdk
- have colors by default

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.92-4mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 0.92-3mdk
- cleanup, BM

* Mon Jul 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.92-2mdk
- added support for a lot of new charset encodings (Thai, Vietnamese,
  Esperanto, Hebrew, Arabic, Farsi, Armenian, Greek, Turkish & Celtic)

* Sun Jul  2 2000 Pixel <pixel@mandrakesoft.com> 0.92-1mdk
- new version

* Fri Mar 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.84-1mdk
- frist mandrake version (adapted from PLD Team rpm package)

